Bug 966267 - ICE in semantics.c on ARM
ICE in semantics.c on ARM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
18
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 18:05 EDT by Quentin Armitage
Modified: 2014-02-05 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:29:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C++ source causing the error (280 bytes, text/x-c++src)
2013-05-22 18:05 EDT, Quentin Armitage
no flags Details
Compiler diagnostic ouptput file as requested by compiler error message. (381.44 KB, text/plain)
2013-05-22 18:08 EDT, Quentin Armitage
no flags Details

  None (edit)
Description Quentin Armitage 2013-05-22 18:05:47 EDT
Created attachment 751911 [details]
C++ source causing the error

Description of problem:
Internal compiler error occurs on armv5tel. Simple test case attached.
I don't know if this error occurs on Intel architecture since I don't have an F18 system on Intel yet.

The minimal test case (copy attached) is:
#include <utility>
#include <string>

// g++ -o test.o -std=c++0x test.c
int main()
{
	std::pair<bool,const std::string&> fred = std::pair<bool, const std::string&>(false,"");
//OK	std::pair<bool,const std::string&> fred = std::pair<bool, const std::string&>(false,string(""));
}


Version-Release number of selected component (if applicable):
gcc-4.7.2-8.fc18.armv5tel
libstdc++-devel-4.7.2-8.fc18.armv5tel

How reproducible:
Always

Steps to Reproduce:
1. g++ -o test.o -std=c++0x test.cpp
2.
3.

Actual results:
In file included from /usr/lib/gcc/armv5tel-redhat-linux-gnueabi/4.7.2/../../../../include/c++/4.7.2/utility:72:0,
                 from test.cpp:1:
/usr/lib/gcc/armv5tel-redhat-linux-gnueabi/4.7.2/../../../../include/c++/4.7.2/bits/stl_pair.h: In instantiation of ‘constexpr std::pair<_T1, _T2>::pair(_U1&&, _U2&&) [with _U1 = bool; _U2 = const char (&)[1]; <template-parameter-2-3> = void; _T1 = bool; _T2 = const std::basic_string<char>&]’:
test.cpp:7:88:   required from here
/usr/lib/gcc/armv5tel-redhat-linux-gnueabi/4.7.2/../../../../include/c++/4.7.2/bits/stl_pair.h:137:68: internal compiler error: in build_data_member_initialization, at cp/semantics.c:5790
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQVgWcJ.out file, please attach this to your bugreport.


Expected results:
Successful compilation

Additional info:
The ICE only occurs if the option -std=c++0x is specified.
If "" is replaced with string(""), again the ICE does not occur.
Comment 1 Quentin Armitage 2013-05-22 18:08:41 EDT
Created attachment 751912 [details]
Compiler diagnostic ouptput file as requested by compiler error message.

Attaching the preprocessed source as requested by the ICE report.
Comment 2 Fedora End Of Life 2013-12-21 08:40:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:29:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.